package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 获取访问BOS临时STS凭证
 * @class: Xuper001GetStokenRespDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper000CreateAccountRespDto {
    private String pubKeyStr;
    private String priKeyStr;
    private String address;
    private String mnemonic;

    private static final Xuper000CreateAccountRespDto obj = new Xuper000CreateAccountRespDto();
    public static Xuper000CreateAccountRespDto getNew() {
        try {
            return (Xuper000CreateAccountRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper000CreateAccountRespDto();
        }
    }
}
